//////////////////////////////////////////
// VirWin.cpp
//Copyright (c) 06/23/2002 by BCCSkelton
//////////////////////////////////////////
#include	"VirWin.h"
//☆ユーザーヘッダーファイルを入れる
#include	"User.h"
#include	"VirWinProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//２重起動防止
	if(!VirWin.IsOnlyOne()) {
		//☆コメントを外し、２重起動時の処理を書く
		HWND hWnd = FindWindow("MainWnd", "VirWin");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//ウィンドウ登録 − Init(ClassName, hInstance, WndProc, "IDM_MAIN",
	//						（以下省略可）"IDI_ICON", IDC_ARROW, Brush)
	VirWin.Init("MainWnd", hInstance, SDIPROC, "IDM_MAIN", "IDI_ICON");

	//ウィンドウ作成と表示−Create(WindowTitle, (以下省略可）Style,
	//						ExStyle, hParent, hMenu, x, y, w, h)
	if(!VirWin.Create("VirWin"))
		return 0L;

	//アクセラレーター登録−InclAccel("(Accelerator ID)")
	VirWin.InclAccel("IDA_ACCEL");

	//メッセージループに入る
	return VirWin.Loop();
}
